Bug 902174 - Race condition in unlink
Race condition in unlink
Product: GlusterFS
Classification: Community
Component: quick-read (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Raghavendra G
Depends On:
  Show dependency treegraph
Reported: 2013-01-21 00:20 EST by Raghavendra G
Modified: 2013-07-24 13:12 EDT (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-07-24 13:12:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Raghavendra G 2013-01-21 00:20:52 EST
Description of problem:

found this problem during code review. In qr_unlink, local->open_count is incremented by holding inode->lock. However, the same is decremented in qr_unlink_helper by holding a different lock (local->lock). This can result in a race-condition possibly leading to memory corruptions and other issues.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Vijay Bellur 2013-02-07 17:41:53 EST
CHANGE: http://review.gluster.org/4396 (performance/quick-read: fix race condition in unlink) merged in release-3.3 by Anand Avati (avati@redhat.com)

Note You need to log in before you can comment on or make changes to this bug.